[**@rxap/components v19.1.0-dev.1**](../README.md)

***

[@rxap/components](../globals.md) / CopyToClipboardComponent

# Class: CopyToClipboardComponent

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:20](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L20)

## Constructors

### new CopyToClipboardComponent()

> **new CopyToClipboardComponent**(): [`CopyToClipboardComponent`](CopyToClipboardComponent.md)

#### Returns

[`CopyToClipboardComponent`](CopyToClipboardComponent.md)

## Properties

### active

> `readonly` **active**: `InputSignal`\<`boolean`\>

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:22](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L22)

***

### containerClass

> `readonly` **containerClass**: `InputSignal`\<`string`\>

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:26](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L26)

***

### disabled

> `readonly` **disabled**: `InputSignal`\<`boolean`\>

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:23](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L23)

***

### isPositionAfter

> `readonly` **isPositionAfter**: `Signal`\<`boolean`\>

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:31](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L31)

***

### isPositionBefore

> `readonly` **isPositionBefore**: `Signal`\<`boolean`\>

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:30](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L30)

***

### position

> `readonly` **position**: `InputSignal`\<`"before"` \| `"after"`\>

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:28](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L28)

***

### value

> `readonly` **value**: `InputSignal`\<`string`\>

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:24](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L24)
